#!/bin/bash
# run.sh task_id algorithm batch dataset-0 dataset-1 ... dataset-N

task_id=$1; shift
algorithm=$1; shift
batch=$1; shift

BATCH_FLAG=""
if [ $batch -eq 1 ];then
    BATCH_FLAG="--batch"
fi

LOG_FILE=log/${task_id}.log
DEFINITION=profile/algos-${task_id}.yaml

echo START $algorithm $batch $@ > $LOG_FILE
for d in $@;do
    #python3 run.py --local --runs 3 -k 10 --definitions $DEFINITION --algorithm $algorithm --dataset $d $BATCH_FLAG >> $LOG_FILE
    ./mock_run.sh --local --runs 3 -k 10 --definitions $DEFINITION --algorithm $algorithm --dataset $d $BATCH_FLAG >> $LOG_FILE
done

# TODO: generate report

# archive results
TARGET_DIR=archive/${task_id}
mkdir -p $TARGET_DIR
mv $DEFINITION $TARGET_DIR
mv results $TARGET_DIR

echo FINISHED >> $LOG_FILE
